com.genesyslab.wfm8.API.service.config810

## Class CfgAgentTimeOffRule

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config810.CfgAgentTimeOffRule

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgAgentTimeOffRule
      extends java.lang.Object
      implements java.io.Serializable

  OBSOLETE: Use CalendarService810 instead
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmAccrualRuleId`
    `protected double` | `wmBonusHours`
    `protected double` | `wmCarriedOverHours`
    `protected double` | `wmCarryOverDate`
    `protected double` | `wmStopAccrualDate`
    `protected int` | `wmTimeOffTypeId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgAgentTimeOffRule()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmAccrualRuleId()` Gets the value of the wmAccrualRuleId property.
    `double` | `getWmBonusHours()` Gets the value of the wmBonusHours property.
    `double` | `getWmCarriedOverHours()` Gets the value of the wmCarriedOverHours property.
    `double` | `getWmCarryOverDate()` Gets the value of the wmCarryOverDate property.
    `double` | `getWmStopAccrualDate()` Gets the value of the wmStopAccrualDate property.
    `int` | `getWmTimeOffTypeId()` Gets the value of the wmTimeOffTypeId property.
    `int` | `hashCode()`
    `void` | `setWmAccrualRuleId(int value)` Sets the value of the wmAccrualRuleId property.
    `void` | `setWmBonusHours(double value)` Sets the value of the wmBonusHours property.
    `void` | `setWmCarriedOverHours(double value)` Sets the value of the wmCarriedOverHours property.
    `void` | `setWmCarryOverDate(double value)` Sets the value of the wmCarryOverDate property.
    `void` | `setWmStopAccrualDate(double value)` Sets the value of the wmStopAccrualDate property.
    `void` | `setWmTimeOffTypeId(int value)` Sets the value of the wmTimeOffTypeId property.
    `java.lang.String` | `toString()`
    `CfgAgentTimeOffRule` | `withWmAccrualRuleId(int value)`
    `CfgAgentTimeOffRule` | `withWmBonusHours(double value)`
    `CfgAgentTimeOffRule` | `withWmCarriedOverHours(double value)`
    `CfgAgentTimeOffRule` | `withWmCarryOverDate(double value)`
    `CfgAgentTimeOffRule` | `withWmStopAccrualDate(double value)`
    `CfgAgentTimeOffRule` | `withWmTimeOffTypeId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmTimeOffTypeId

          protected int wmTimeOffTypeId

    - #### wmAccrualRuleId

          protected int wmAccrualRuleId

    - #### wmCarryOverDate

          protected double wmCarryOverDate

    - #### wmBonusHours

          protected double wmBonusHours

    - #### wmCarriedOverHours

          protected double wmCarriedOverHours

    - #### wmStopAccrualDate

          protected double wmStopAccrualDate

  - ### Constructor Detail

    - #### CfgAgentTimeOffRule

          public CfgAgentTimeOffRule()

  - ### Method Detail

    - #### getWmTimeOffTypeId

          public int getWmTimeOffTypeId()

      Gets the value of the wmTimeOffTypeId property.

    - #### setWmTimeOffTypeId

          public void setWmTimeOffTypeId(int value)

      Sets the value of the wmTimeOffTypeId property.

    - #### getWmAccrualRuleId

          public int getWmAccrualRuleId()

      Gets the value of the wmAccrualRuleId property.

    - #### setWmAccrualRuleId

          public void setWmAccrualRuleId(int value)

      Sets the value of the wmAccrualRuleId property.

    - #### getWmCarryOverDate

          public double getWmCarryOverDate()

      Gets the value of the wmCarryOverDate property.

    - #### setWmCarryOverDate

          public void setWmCarryOverDate(double value)

      Sets the value of the wmCarryOverDate property.

    - #### getWmBonusHours

          public double getWmBonusHours()

      Gets the value of the wmBonusHours property.

    - #### setWmBonusHours

          public void setWmBonusHours(double value)

      Sets the value of the wmBonusHours property.

    - #### getWmCarriedOverHours

          public double getWmCarriedOverHours()

      Gets the value of the wmCarriedOverHours property.

    - #### setWmCarriedOverHours

          public void setWmCarriedOverHours(double value)

      Sets the value of the wmCarriedOverHours property.

    - #### getWmStopAccrualDate

          public double getWmStopAccrualDate()

      Gets the value of the wmStopAccrualDate property.

    - #### setWmStopAccrualDate

          public void setWmStopAccrualDate(double value)

      Sets the value of the wmStopAccrualDate property.

    - #### withWmTimeOffTypeId

          public CfgAgentTimeOffRule withWmTimeOffTypeId(int value)

    - #### withWmAccrualRuleId

          public CfgAgentTimeOffRule withWmAccrualRuleId(int value)

    - #### withWmCarryOverDate

          public CfgAgentTimeOffRule withWmCarryOverDate(double value)

    - #### withWmBonusHours

          public CfgAgentTimeOffRule withWmBonusHours(double value)

    - #### withWmCarriedOverHours

          public CfgAgentTimeOffRule withWmCarriedOverHours(double value)

    - #### withWmStopAccrualDate

          public CfgAgentTimeOffRule withWmStopAccrualDate(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.